// pages/regular_company_manage/regular_company_manage.js
import international from '../../international/appointment_scence/index'
const {
    companyCommitInfoList,
    companyCommit
} = require('../../utils/api/api')

const app = getApp()

Page({

    /**
     * 页面的初始数据
     */
    data: {
        international: international, //国际化语言包
        language: app.data.language,
        msg: []
    },
    // 查询企业审核情况
    companyCommitInfoList() {
        let userId = app.data.userInfo.userId
        companyCommitInfoList({
            userId
        }).then(res => {
            if (res.code == 200) {
                this.setData({
                    msg: res.data
                })
            } else {
                wx.showToast({
                    title: res.msg,
                    icon: 'none'
                })
            }

        })
    },
    // 企业信息录入
    informationInput() {
        wx.navigateTo({
            url: '/pages/company_register/company_register'
        })
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.companyCommitInfoList()
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {
        this.setData({
            language: app.data.language,
        })
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})